Bug 226567 - Merge Review: xmltex
Merge Review: xmltex
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 16:20 EST by Nobody's working on this, feel free to take it
Modified: 2009-12-15 09:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-15 09:40:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mhlavink: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 16:20:48 EST
Fedora Merge Review: xmltex

http://cvs.fedora.redhat.com/viewcvs/devel/xmltex/
Initial Owner: twaugh@redhat.com
Comment 1 Ondrej Vasik 2007-07-27 04:30:24 EDT
Package Change Request
======================
Package Name: xmltex
Updated Fedora Owners: ovasik@redhat.com
Comment 2 Michal Hlavinka 2009-12-10 06:49:03 EST
in short:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ MUST[1]: rpmlint must be run on every package. The output should be posted in the review
+ MUST: package named according to the Package Naming Guidelines
+ MUST: The spec file name must match the base package %{name}
+ MUST: The package must meet the Packaging Guidelines .
+ MUST: The package licensed with a Fedora approved license and meets the Licensing Guidelines
+ MUST: The License field in the package spec file matches the actual license
+ MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
+ MUST: The spec file must be written in American English.
+ MUST: The spec file for the package MUST be legible.
- MUST[2]: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task
+ MUST: The package successfully compiles and builds into binary rpms on at least one primary architecture
+ MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch
+ MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines
? MUST: The spec file handles locales properly. This is done by using the %find_lang macro
0 MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
+ MUST: Packages must NOT bundle copies of system libraries
+ MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker
+ MUST: Package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory
+ MUST: Package must not list a file more than once in the spec file's %files listings
+ MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line.
+ MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ MUST: Each package must consistently use macros
+ MUST: The package must contain code, or permissable content
+ MUST: Large documentation files must go in a -doc subpackage
+ MUST: If a package includes something as %doc, it must not affect the runtime of the application
0 MUST: Header files must be in a -devel package
0 MUST: Static libraries must be in a -static package
0 MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
0 MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package
0 MUST: devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built
0 MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
+ MUST: Packages must not own files or directories already owned by other packages
+ MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
+ MUST: All filenames in rpm packages must be valid UTF-8

and with comments:

------------------

1) rpmlint *.spec *.src.rpm noarch/*

xmltex.noarch: W: dangling-relative-symlink /usr/bin/xmltex latex
xmltex.noarch: W: dangling-relative-symlink /usr/bin/pdfxmltex pdftex
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

looks good for me

2) Source file can't be downloaded

$ wget ftp://ftp.tex.ac.uk/tex-archive/macros/xmltex-1.9.tar.gz
--2009-12-10 11:52:00--  ftp://ftp.tex.ac.uk/tex-archive/macros/xmltex-1.9.tar.gz
           => “xmltex-1.9.tar.gz”
Resolving ftp.tex.ac.uk... 128.232.104.10
Connecting to ftp.tex.ac.uk|128.232.104.10|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD (1) /tex-archive/macros ... done.
==> SIZE xmltex-1.9.tar.gz ... done.
==> PASV ... done.    ==> RETR xmltex-1.9.tar.gz ...
No such file “xmltex-1.9.tar.gz”.

3) Why is %doc readme.txt gziped?

4) xmltex.1 should go upstream. 

Add comment in spec about its status. Was it sent upstream (and when)? was it accepted/rejected? is this "fedora specific" ?

please fix this issues, thanks
Comment 3 Michal Hlavinka 2009-12-10 12:49:34 EST
I've forgotten one:

5) wrong buildroot tag

https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

"""The BuildRoot value MUST be below %{_tmppath}/ and MUST contain at least
%{name}, %{version} and %{release}"""

The recommended values for the BuildRoot tag is 

%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Btw, if used only for Fedora 10+, there's no need to define BuildRoot tag at
all:

"""The RPM in Fedora 10 defines a default buildroot so in Fedora 10 and above
it is no longer necessary to define a buildroot tag."""
Comment 4 Ondrej Vasik 2009-12-11 11:26:16 EST
Thanks for review...
1) I see it harmless, too...
2) fixed - there is no tarball, so changed to comment
3) no longer zipped
4) there is no longer alive upstream (for more than 7 years), so I don't expect it could go upstream
5) fixed

Built as xmltex-20020625-16.fc13
Comment 5 Michal Hlavinka 2009-12-15 09:40:20 EST
(In reply to comment #4)
> Thanks for review...
> 1) I see it harmless, too...
> 2) fixed - there is no tarball, so changed to comment
> 3) no longer zipped
> 4) there is no longer alive upstream (for more than 7 years), so I don't expect
> it could go upstream
> 5) fixed

verified, no other objections
thanks

Note You need to log in before you can comment on or make changes to this bug.